%define name		libgii
%define version		0.8.1
%define release		3mdk
%define summary		A flexible library for input handling
%define lib_name_orig	%{name}
%define lib_major	0
%define lib_name	%{lib_name_orig}%{lib_major}
 
Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{summary}
License:	GPL
Group:		System/Libraries
URL:		http://www.ggi-project.org
Source:		ftp://ftp.ggi-project.org/pub/ggi/ggi/2_0_final/%{name}-%{version}.tar.bz2
BuildRequires:	XFree86-devel
BuildRoot:	%{_tmppath}/%{name}-root

%description
LibGII is an input library developed by the GGI Project
(http://www.ggi-project.org). Its design philosophy is similar to
LibGGI, which deals with graphics output.

LibGII is based on the concept of input streams, which virtualize
access to the underlying input drivers. Events from various input
devices are abstracted into easy-to-use structures. LibGII also allows
the application to join streams together, receiving input from an
arbitrary combination of devices.

LibGII is a separate component from LibGGI, although LibGGI depends on
LibGII for input purposes. (LibGGI's input functions are simply
wrappers for LibGII functions.)

%package -n %{lib_name}
Summary:	Main library for %{name}
Group:		System/Libraries
Requires:	%{name}

%description -n %{lib_name}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{lib_name}-devel
Summary:	Headers for developing programs that will use %{name}
Group:		Development/Other
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{lib_name_orig}-devel = %{version}-%{release}

%description -n %{lib_name}-devel
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q

%build

%configure --disable-debug

%make

%install
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig
 
%postun -n %{lib_name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc ChangeLog ChangeLog.1999 FAQ INSTALL INSTALL.autoconf NEWS README doc/*.txt
%{_bindir}/*
%{_libdir}/ggi
%{_libdir}/*.la
%{_mandir}/man1/*
%{_mandir}/man3/*
%{_mandir}/man7/*
%_sysconfdir/ggi/filter
%config(noreplace) %_sysconfdir/ggi/libgii.conf

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%{_includedir}/ggi
%{_libdir}/*.so

%changelog
* Tue Oct 09 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.8.1-3mdk
- use %configure now libtool is fixed ( thx R.I.P. Deaddog )

* Fri Oct 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.8.1-2mdk
- fix requires & provides libgii.conf (pixel)

* Thu Sep 13 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.8.1-1mdk
- updated by Gtz Waschk <waschk@linux-mandrake.com> :
	- 0.8.1

* Mon Sep 03 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.8-4mdk
- requires

* Wed Aug 29 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.8-3mdk
- added by Guillaume Rousse <g.rousse@linux-mandrake.com> :
	- made the library package depends on main package for configuration files

* Sun Aug 26 2001 Gtz Waschk <waschk@linux-mandrake.com> 0.8-2mdk
- shut up, tar
- fixed %%sysconfdir

* Mon Aug 20 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.8-1mdk
- first Mandrake release
